<?php

/**
 * 前台 专题活动 模块 Controller
 * ============================================================================
 * ZhunaCMS 住哪网酒店分销联盟程序php版　BY Tmac PHP MVC framework
 * $Author: zhangwentao $  <zwttmac@qq.com>
 * $Id: special.php 41 2011-12-01 06:58:03Z zhangwentao $
 * http://union.zhuna.cn；
 */
class specialAction extends Action
{    
    private $common_model;
    private $hotel_left_model;
    
    /**
     * _init 方法 在执行任何Action前执行
     */
    public function _init()
    {
        $this->assign('action', $_GET['TMAC_ACTION']);        
        $this->assign('method',$_GET['TMAC_CONTROLLER']);       
        $this->common_model = Tmac::model('common');
        $this->hotel_left_model = Tmac::model('hotelLeft');

        //footer里的相关设置
        $config_footer = $this->common_model->footer();
        $this->assign($config_footer);
    }

    /**
     * 城市地标 首页
     */
    public function index()
    {        

        //title keywords description k_page(special)
        $keywords_info = $this->hotel_left_model->getKeywordsInfo(7);
        $keywords_array = $keywords_info[1];
        $keywords_search = array('{doname}');
        $keywords_replace = array("$keywords_info[0]");
        $keywords_array = str_replace($keywords_search, $keywords_replace, $keywords_array);
        $this->assign('keywords_array', $keywords_array);        

        $this->V('special');
    }

}